﻿@{Layout = "~/Views/Shared/_BlankLayout.cshtml"; }
@Html.Partial("_SITentativeScript")
@model SPEX.Models.mShippingInstructionTentative 
@*Pop Up Part Master*@
@using (Html.BeginForm("", "SILayoutTent", FormMethod.Post))
{
    <div class="content" style="width: 825px">
        <table>
            <tr>
                <td style="width: 100px">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Destination";
                    }).GetHtml()
                </td>
                <td style="width: 10px">
                    :
                </td>
                <td style="width: 300px" align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Name = "I_DESTINATION_LAYOUT_TENT";
                        label.Properties.EnableClientSideAPI = true;
                        label.Width = 300;
                    }).Bind(ViewData["Destination"]).GetHtml()
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_BUYER_LAYOUT_TENT";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 100;
                        TextBox.ClientVisible = false;
                        TextBox.ClientEnabled = false;
                        //TextBox.ClientEnabled = (bool)ViewData["IsNewData"];
                        TextBox.Properties.MaxLength = 6;
                    }).Bind(@Model.BUYER_CD).GetHtml()
                </td>
                <td style="width: 100px">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Version";
                    }).GetHtml()
                </td>
                <td style="width: 10px">
                    :
                </td>
                <td style="width: 320px" align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Name = "I_VERSION_LAYOUT_TENT";
                        label.Properties.EnableClientSideAPI = true;
                        label.Width = 100;
                    }).Bind(@Model.VERSION_DESC).GetHtml()
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = "I_VERSION_VALUE_LAYOUT_TENT";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 100;
                        TextBox.ClientVisible = false;
                        TextBox.ClientEnabled = false;
                    }).Bind(@Model.VERSION).GetHtml()
                </td>
                <td>
                </td>
            </tr>
            <tr>
                <td style="width: 100px">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Vanning Date From";
                    }).GetHtml()
                </td>
                <td style="width: 10px">
                    :
                </td>
                <td style="width: 100px" align="left" colspan="2">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Name = "I_VANNING_DT_FROM_LAYOUT_TENT";
                        label.Properties.EnableClientSideAPI = true;
                        label.Width = 100;
                    }).Bind(((DateTime)@Model.VANNING_DT_FROM).ToString("dd.MM.yyyy")).GetHtml()
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Name = "I_PACKING_COMPANY_LAYOUT_TENT";
                        label.Properties.EnableClientSideAPI = true;
                        label.Width = 100;
                    }).Bind(@Model.PACKING_COMPANY).GetHtml()
                    @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "To";
                                }).GetHtml()
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Name = "I_VANNING_DT_TO_LAYOUT_TENT";
                        label.Properties.EnableClientSideAPI = true;
                        label.Width = 100;
                    }).Bind(((DateTime)@Model.VANNING_DT_TO).ToString("dd.MM.yyyy")).GetHtml()
                </td>
                <td>
                </td>
            </tr>
            <tr>
                <td style="width: 150px">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "SI Number ";
                    }).GetHtml()
                </td>
                <td style="width: 10px">
                    :
                </td>
                <td style="width: 100px" align="left" colspan="3">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Name = "I_SI_NO_LAYOUT_TENT";
                        label.Properties.EnableClientSideAPI = true;
                        label.Width = 150;
                    }).Bind(@Model.SHIP_INSTRUCTION_NO).GetHtml()
                </td>
                <td>
                </td>
            </tr>
            <tr>
                <td style="width: 100px">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "ETD";
                    }).GetHtml()
                </td>
                <td style="width: 10px">
                    :
                </td>
                <td style="width: 100px" align="left" colspan="2">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Name = "I_ETD_LAYOUT_TENT";
                        label.Properties.EnableClientSideAPI = true;
                        label.Width = 100;
                    }).Bind(((DateTime)@Model.ETD).ToString("dd.MM.yyyy")).GetHtml()
                </td>
                <td>
                </td>
            </tr>
            <tr>
                <td style="width: 150px" colspan="3">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "SHIPPER : ";
                    }).GetHtml()
                </td>
                <td style="width: 100px">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Container Grade ";
                        label.Name = "labelSTentGrade";
                    }).GetHtml()
                </td>
                <td colspan="2" style="width: 200px">
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_SI_TENT_GRADE_COMBO_LAYOUT_TENT";
                        settings.Width = 100;
                        settings.SelectedIndex = -1;
                        settings.Properties.DropDownWidth = 100;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.CallbackRouteValues = new { Controller = "ShippingInstruction", Action = "GetGradeMaster" };
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.TextField = "SYSTEM_VALUE";
                        settings.Properties.ValueType = typeof(string);
                    }).BindList(ViewData["DataGradeMaster"]).Bind(@Model.CONTAINER_GRADE).GetHtml()
                </td>
            </tr>
            <tr>
                <td style="width: 100px" align="left" colspan="3">
                    @Html.DevExpress().Memo(
                    TextBox =>
                    {
                        TextBox.Name = "I_SI_SHIPPER_LAYOUT_TENT";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 450;
                        TextBox.Height = 95;
                        TextBox.ClientVisible = true;
                        TextBox.ClientEnabled = false;
                        TextBox.Properties.MaxLength = 500;
                    }).Bind(@Model.SHIPPER).GetHtml()
                </td>
                <td colspan="3">
                    @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "cmdConfirmTent";
                        button.Width = 110;
                        button.Text = "Confirm";
                        button.ClientSideEvents.Click = "OnConfirmTent";
                        button.Style.Add("display", "inline-table");
                        button.UseSubmitBehavior = false;
                        //button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("SILayoutTent", "FTR-SPEX-431-02", "CONFIRM TENT");
                    }
                    ).GetHtml()
                    @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "cmdCloseSITentLayout";
                        button.Width = 110;
                        button.Text = "Close";
                        button.ClientSideEvents.Click = "OnCloseSITentLayout";
                        button.Style.Add("display", "inline-table");
                        button.UseSubmitBehavior = false;
                        //button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("SILayoutTent", "FTR-SPEX-431-01", "CLOSE TENT");
                    }
                    ).GetHtml()
                </td>
            </tr>
            <tr>
                <td colspan="3">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "CONSIGNEE : ";
                        label.Name = "labelSIConsignee";
                    }).GetHtml()
                </td>
                <td colspan="2">
                </td>
            </tr>
            <tr>
                <td style="width: 100px" align="left" colspan="3">
                    @Html.DevExpress().Memo(
                    TextBox =>
                    {
                        TextBox.Name = "I_SI_CONSIGNEE_LAYOUT_TENT";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 450;
                        TextBox.Height = 95;
                        TextBox.ClientVisible = true;
                        TextBox.ClientEnabled = false;
                        TextBox.Properties.MaxLength = 500;
                    }).Bind(@Model.CONSIGNEE).GetHtml()
                </td>
                <td colspan="2">
                </td>
            </tr>
            <tr>
                <td colspan="3">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "NOTIFY PARTY : ";
                        //label.Height = 25;
                        label.Name = "labelSINotifyParty";
                    }).GetHtml()
                </td>
                <td colspan="2">
                </td>
            </tr>
            <tr>
                <td style="width: 100px" align="left" colspan="3">
                    @Html.DevExpress().Memo(
                    TextBox =>
                    {
                        TextBox.Name = "I_SI_NOTIFY_PARTY_LAYOUT_TENT";
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 450;
                        TextBox.Height = 95;
                        TextBox.ClientVisible = true;
                        TextBox.ClientEnabled = false;
                        TextBox.Properties.MaxLength = 500;
                    }).Bind(@Model.NOTIFY_PARTY).GetHtml()
                </td>
                <td colspan="2">
                </td>
            </tr>
        </table>
    </div>
}